package com.download.library;

import com.download.library.FileComparator;
import com.queue.library.BuildConfig;
import java.io.File;

public class DefaultFileComparator implements FileComparator {
    @Override // com.download.library.FileComparator
    public int compare(String str, File file, String str2, String str3) {
        if (str2 == null) {
            str2 = BuildConfig.FLAVOR;
        }
        return str2.trim().equalsIgnoreCase(str3) ? 1 : 3;
    }

    static class DefaultFileComparatorFactory implements FileComparator.FileComparatorFactory {
        DefaultFileComparatorFactory() {
        }

        @Override // com.download.library.FileComparator.FileComparatorFactory
        public FileComparator newFileComparator() {
            return new DefaultFileComparator();
        }
    }
}
