package com.download.library;

import android.content.Context;
import android.content.SharedPreferences;
import com.download.library.StorageEngine;

public class DefaultStorageEngine implements StorageEngine {
    Context mContext;

    DefaultStorageEngine(Context context) {
        this.mContext = context;
    }

    @Override // com.download.library.StorageEngine
    public void save(String str, String str2) {
        SharedPreferences.Editor edit = this.mContext.getSharedPreferences(Runtime.getInstance().getIdentify(this.mContext), 0).edit();
        edit.putString(str, str2);
        edit.apply();
    }

    @Override // com.download.library.StorageEngine
    public String get(String str, String str2) {
        return this.mContext.getSharedPreferences(Runtime.getInstance().getIdentify(this.mContext), 0).getString(str, str2);
    }

    public static class DefaultStorageEngineFactory implements StorageEngine.StorageEngineFactory {
        @Override // com.download.library.StorageEngine.StorageEngineFactory
        public StorageEngine newStorageEngine(Context context) {
            return new DefaultStorageEngine(context);
        }
    }
}
