package com.download.library;

import com.queue.library.BuildConfig;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public abstract class Extra implements Serializable, Cloneable {
    protected long blockMaxTime = 600000;
    protected boolean calculateMD5;
    protected long connectTimeOut = 10000;
    protected long downloadTimeOut = Long.MAX_VALUE;
    protected String fileMD5 = BuildConfig.FLAVOR;
    protected boolean mAutoOpen = false;
    protected String mContentDisposition;
    protected long mContentLength;
    protected int mDownloadDoneIcon = 17301634;
    protected int mDownloadIcon = 17301633;
    protected boolean mEnableIndicator = true;
    protected HashMap<String, String> mHeaders;
    protected boolean mIsBreakPointDownload = true;
    protected boolean mIsForceDownload = false;
    protected boolean mIsParallelDownload = true;
    protected String mMimetype;
    protected String mUrl;
    protected String mUserAgent = BuildConfig.FLAVOR;
    protected boolean quickProgress = false;
    protected int retry = 3;
    protected String targetCompareMD5 = BuildConfig.FLAVOR;

    public Map<String, String> getHeaders() {
        return this.mHeaders;
    }

    protected Extra() {
    }

    public long getBlockMaxTime() {
        return this.blockMaxTime;
    }

    public String getUrl() {
        return this.mUrl;
    }

    public String getUserAgent() {
        return this.mUserAgent;
    }

    public String getContentDisposition() {
        return this.mContentDisposition;
    }

    public String getMimetype() {
        return this.mMimetype;
    }

    public long getContentLength() {
        return this.mContentLength;
    }

    public boolean isForceDownload() {
        return this.mIsForceDownload;
    }

    public boolean isEnableIndicator() {
        return this.mEnableIndicator;
    }

    public long getDownloadTimeOut() {
        return this.downloadTimeOut;
    }

    public long getConnectTimeOut() {
        return this.connectTimeOut;
    }

    public int getDownloadIcon() {
        return this.mDownloadIcon;
    }

    public boolean isParallelDownload() {
        return this.mIsParallelDownload;
    }

    public boolean isBreakPointDownload() {
        return this.mIsBreakPointDownload;
    }

    public boolean isAutoOpen() {
        return this.mAutoOpen;
    }

    public boolean isQuickProgress() {
        return this.quickProgress;
    }

    public int getDownloadDoneIcon() {
        return this.mDownloadDoneIcon;
    }

    public String getTargetCompareMD5() {
        String str = this.targetCompareMD5;
        return str == null ? BuildConfig.FLAVOR : str;
    }

    public String getFileMD5() {
        return this.fileMD5;
    }

    public int getRetry() {
        return this.retry;
    }

    public boolean isCalculateMD5() {
        return this.calculateMD5;
    }

    /* access modifiers changed from: protected */
    public Extra copy(Extra extra) {
        extra.mIsForceDownload = this.mIsForceDownload;
        extra.mEnableIndicator = this.mEnableIndicator;
        extra.mDownloadIcon = this.mDownloadIcon;
        extra.mDownloadDoneIcon = this.mDownloadDoneIcon;
        extra.mIsParallelDownload = this.mIsParallelDownload;
        extra.mIsBreakPointDownload = this.mIsBreakPointDownload;
        extra.mUrl = this.mUrl;
        extra.mContentDisposition = this.mContentDisposition;
        extra.mContentLength = this.mContentLength;
        extra.mMimetype = this.mMimetype;
        extra.mUserAgent = this.mUserAgent;
        HashMap<String, String> hashMap = this.mHeaders;
        if (hashMap != null) {
            try {
                extra.mHeaders = (HashMap) hashMap.clone();
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else {
            extra.mHeaders = null;
        }
        extra.mAutoOpen = this.mAutoOpen;
        extra.downloadTimeOut = this.downloadTimeOut;
        extra.connectTimeOut = this.connectTimeOut;
        extra.blockMaxTime = this.blockMaxTime;
        extra.quickProgress = this.quickProgress;
        extra.targetCompareMD5 = this.targetCompareMD5;
        extra.fileMD5 = this.fileMD5;
        extra.calculateMD5 = this.calculateMD5;
        return extra;
    }
}
