package com.just.agentweb;

import android.app.Activity;
import android.os.Handler;
import android.os.Message;
import android.webkit.JavascriptInterface;
import java.lang.ref.WeakReference;

public class AgentWebJsInterfaceCompat {
    private String TAG = getClass().getSimpleName();
    private WeakReference<Activity> mActivityWeakReference = null;
    private WeakReference<AgentWeb> mReference = null;

    AgentWebJsInterfaceCompat(AgentWeb agentWeb, Activity activity) {
        this.mReference = new WeakReference<>(agentWeb);
        this.mActivityWeakReference = new WeakReference<>(activity);
    }

    @JavascriptInterface
    public void uploadFile() {
        uploadFile("*/*");
    }

    @JavascriptInterface
    public void uploadFile(String str) {
        String str2 = this.TAG;
        LogUtils.i(str2, str + "  " + this.mActivityWeakReference.get() + "  " + this.mReference.get());
        if (this.mActivityWeakReference.get() != null && this.mReference.get() != null) {
            AgentWebUtils.showFileChooserCompat(this.mActivityWeakReference.get(), this.mReference.get().getWebCreator().getWebView(), null, null, this.mReference.get().getPermissionInterceptor(), null, str, new Handler.Callback() {
                /* class com.just.agentweb.AgentWebJsInterfaceCompat.AnonymousClass1 */

                public boolean handleMessage(Message message) {
                    if (AgentWebJsInterfaceCompat.this.mReference.get() != null) {
                        JsAccessEntrace jsAccessEntrace = ((AgentWeb) AgentWebJsInterfaceCompat.this.mReference.get()).getJsAccessEntrace();
                        String[] strArr = new String[1];
                        Object obj = message.obj;
                        strArr[0] = obj instanceof String ? (String) obj : null;
                        jsAccessEntrace.quickCallJs("uploadFileResult", strArr);
                    }
                    return true;
                }
            });
        }
    }
}
