package com.queue.library;

import java.util.concurrent.Exchanger;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

public class DispatchPairExchanger<V> extends Exchanger<V> {
    private final long mThreadId = Thread.currentThread().getId();
    private final String mThreadName = Thread.currentThread().getName();

    /* access modifiers changed from: package-private */
    public V exchange0(V v) throws InterruptedException {
        return (V) super.exchange(v);
    }

    /* access modifiers changed from: package-private */
    public V exchange0(V v, long j, TimeUnit timeUnit) throws InterruptedException, TimeoutException {
        return (V) super.exchange(v, j, timeUnit);
    }

    @Override // java.util.concurrent.Exchanger
    public V exchange(V v) throws InterruptedException {
        long id = Thread.currentThread().getId();
        if (id == this.mThreadId) {
            return (V) super.exchange(v);
        }
        throw new RuntimeException("you must call exchange in the thread id:" + id + " thread name:" + this.mThreadName);
    }

    @Override // java.util.concurrent.Exchanger
    public V exchange(V v, long j, TimeUnit timeUnit) throws InterruptedException, TimeoutException {
        long id = Thread.currentThread().getId();
        if (id == this.mThreadId) {
            return (V) super.exchange(v, j, timeUnit);
        }
        throw new RuntimeException("you must call exchange in the thread id:" + id + " thread name:" + this.mThreadName);
    }
}
