package com.queue.library;

import android.os.Looper;

public final class GlobalQueue {
    private static volatile DispatchThread mMainQueue;

    public static DispatchThread getMainQueue() {
        if (mMainQueue == null) {
            synchronized (GlobalQueue.class) {
                if (mMainQueue == null) {
                    mMainQueue = new DispatchThread(Looper.getMainLooper());
                }
            }
        }
        return mMainQueue;
    }
}
