package com.queue.library;

import java.util.concurrent.Exchanger;
import java.util.concurrent.TimeUnit;

public class SameThreadExchanger<V> extends Exchanger<V> {
    private V v;

    /* access modifiers changed from: package-private */
    public void setV(V v2) {
        this.v = v2;
    }

    @Override // java.util.concurrent.Exchanger
    public V exchange(V v2, long j, TimeUnit timeUnit) {
        return exchange(this.v);
    }

    @Override // java.util.concurrent.Exchanger
    public V exchange(V v2) {
        try {
            return this.v;
        } finally {
            this.v = null;
        }
    }
}
