package com.just.agentweb;

import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import android.webkit.WebView;
import java.io.File;
import java.io.RandomAccessFile;
import java.nio.channels.FileLock;
import java.util.HashSet;

public class AgentWebCompat {
    private static void createFile(File file, boolean z) {
        if (z) {
            try {
                if (!file.exists()) {
                    file.createNewFile();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x00e8  */
    public static void setDataDirectorySuffix(Context context) {
        StringBuilder sb;
        if (Build.VERSION.SDK_INT >= 28) {
            try {
                HashSet<String> hashSet = new HashSet();
                String absolutePath = context.getDataDir().getAbsolutePath();
                String currentProcessName = ProcessUtils.getCurrentProcessName(context);
                if (!TextUtils.equals(context.getPackageName(), currentProcessName)) {
                    if (TextUtils.isEmpty(currentProcessName)) {
                        currentProcessName = context.getPackageName();
                    }
                    WebView.setDataDirectorySuffix(currentProcessName);
                    String str = "_" + currentProcessName;
                    hashSet.add(absolutePath + "/app_webview" + str + "/webview_data.lock");
                    if (RomUtils.isHuawei()) {
                        sb = new StringBuilder();
                        sb.append(absolutePath);
                        sb.append("/app_hws_webview");
                        sb.append(str);
                        sb.append("/webview_data.lock");
                    }
                    for (String str2 : hashSet) {
                        File file = new File(str2);
                        if (file.exists()) {
                            tryLockOrRecreateFile(file);
                            return;
                        }
                    }
                }
                String str3 = "_" + currentProcessName;
                hashSet.add(absolutePath + "/app_webview/webview_data.lock");
                hashSet.add(absolutePath + "/app_webview" + str3 + "/webview_data.lock");
                if (RomUtils.isHuawei()) {
                    hashSet.add(absolutePath + "/app_hws_webview/webview_data.lock");
                    sb = new StringBuilder();
                    sb.append(absolutePath);
                    sb.append("/app_hws_webview");
                    sb.append(str3);
                    sb.append("/webview_data.lock");
                }
                while (r10.hasNext()) {
                }
                hashSet.add(sb.toString());
                while (r10.hasNext()) {
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    private static void tryLockOrRecreateFile(File file) {
        try {
            FileLock tryLock = new RandomAccessFile(file, "rw").getChannel().tryLock();
            if (tryLock != null) {
                tryLock.close();
            } else {
                createFile(file, file.delete());
            }
        } catch (Exception e) {
            e.printStackTrace();
            createFile(file, file.exists() ? file.delete() : false);
        }
    }
}
